## Class Method

- java.lang.Object
- - Method

All Implemented Interfaces:
  java.io.Serializable

    public class Method
    extends java.lang.Object
    implements java.io.Serializable

Gère une méthode.

Author:
  V.BOULANGER
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_methodId`
`static java.lang.String` `PRIVATE`
`static java.lang.String` `PROTECTED`
`static java.lang.String` `PUBLIC`

### Constructor Summary

Constructors
Constructor and Description
`Method()` Constructeur - Crée une instance de Method.
`Method(java.lang.String access, java.lang.String type, java.lang.String name, java.util.ArrayList<Argument> arguments)` Constructeur - Crée une instance de Method avec des paramètres donnés.
`Method(java.lang.String access, java.lang.String type, java.lang.String name, java.util.List<Argument> arguments, boolean constr, boolean stat, boolean fina, boolean abst, boolean sync, boolean vola, boolean tran)` Constructeur - Crée une instance de Method avec des paramètres donnés.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgument(Argument a)` Ajoute un argument à la méthode.
`void` `clearArguments()` Retire tous les arguments de la méthode.
`boolean` `downArgument(int index)` Faire descendre l'argument sélectionné dans la liste.
`java.lang.String` `getAccess()` Récupère le modificateur d'accès de la méthode.
`java.util.List<Argument>` `getArguments()` Récupère tous les arguments de la méthode.
`int` `getId()` Récupère le numéro de la méthode.
`java.lang.String` `getName()` Récupère le nom de la méthode.
`java.lang.String` `getType()` Récupère le type de la méthode.
`boolean` `isAbstract()` Retourne si la méthode est abstrait ou non.
`boolean` `isConstructor()` Retourne si la méthode est un constructeur de la classe.
`boolean` `isFinal()` Retourne si la méthode est final ou non.
`boolean` `isStatic()` Retourne si la méthode est statique ou non.
`boolean` `isSynchronized()` Retourne si la méthode est synchronisé ou non.
`boolean` `isTransient()` Retourne si la méthode est transitoire ou non.
`boolean` `isVolatile()` Retourne si la méthode est volatile ou non.
`void` `removeArgument(int index)` Retire un argument de la méthode.
`void` `setAbstract(boolean a)` Paramètre la caractéristique abstraite de la méthode.
`void` `setAccess(java.lang.String access)` Paramètre le modificateur d'accès de la méthode.
`void` `setConstructor(boolean c)` Paramètre la caractéristique de constructeur de la méthode.
`void` `setFinal(boolean f)` Paramètre la caractéristique final de la méthode.
`void` `setName(java.lang.String name)` Paramètre le nom de la méthode.
`void` `setStatic(boolean s)` Paramètre la caractéristique statique de la méthode.
`void` `setSynchronized(boolean s)` Paramètre la caractéristique synchronisée de la méthode.
`void` `setTransient(boolean t)` Paramètre la caractéristique transitoire de la méthode.
`void` `setType(java.lang.String type)` Paramètre le type de la méthode.
`void` `setVolatile(boolean v)` Paramètre la caractéristique volatile de la méthode.
`boolean` `upArgument(int index)` Faire remonter l'argument sélectionné dans la liste.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _methodId

    public static int _methodId

#### PRIVATE

    public static final java.lang.String PRIVATE

See Also:
  Constant Field Values

#### PROTECTED

    public static final java.lang.String PROTECTED

See Also:
  Constant Field Values

#### PUBLIC

    public static final java.lang.String PUBLIC

See Also:
  Constant Field Values

### Constructor Detail

#### Method

    public Method()

Constructeur - Crée une instance de Method.

#### Method

    public Method(java.lang.String access,
                  java.lang.String type,
                  java.lang.String name,
                  java.util.ArrayList<Argument> arguments)

Constructeur - Crée une instance de Method avec des paramètres donnés.

Parameters:
  `access` - Le modificateur d'accès de la méthode.
  `type` - Le type de la méthode.
  `name` - Le nom de la méthode.
  `arguments` - Les arguments de la méthode.

#### Method

    public Method(java.lang.String access,
                  java.lang.String type,
                  java.lang.String name,
                  java.util.List<Argument> arguments,
                  boolean constr,
                  boolean stat,
                  boolean fina,
                  boolean abst,
                  boolean sync,
                  boolean vola,
                  boolean tran)

Constructeur - Crée une instance de Method avec des paramètres donnés.

Parameters:
  `access` - Le modificateur d'accès de la méthode.
  `type` - Le type de la méthode.
  `name` - Le nom de la méthode.
  `arguments` - Les arguments de la méthode.
  `constr` - Si la méthode est un constructeur.
  `stat` - Si la méthode est statique.
  `fina` - Si la méthode est finale.
  `abst` - Si la méthode est abstraite.
  `sync` - Si la méthode est synchronisée.
  `vola` - Si la méthode est volatile.
  `tran` - Si la méthode est transitoire.

### Method Detail

#### getId

    public int getId()

Récupère le numéro de la méthode.

Returns:
  Le numéro de la méthode.

#### getAccess

    public java.lang.String getAccess()

Récupère le modificateur d'accès de la méthode.

Returns:
  Le modificateur d'accès de la méthode.

#### setAccess

    public void setAccess(java.lang.String access)

Paramètre le modificateur d'accès de la méthode.

Parameters:
  `access` - Le modificateur d'accès de la méthode.

#### getType

    public java.lang.String getType()

Récupère le type de la méthode.

Returns:
  Le type de la méthode.

#### setType

    public void setType(java.lang.String type)

Paramètre le type de la méthode.

Parameters:
  `type` - Le type de la méthode.

#### getName

    public java.lang.String getName()

Récupère le nom de la méthode.

Returns:
  Le nom de la méthode.

#### setName

    public void setName(java.lang.String name)

Paramètre le nom de la méthode.

Parameters:
  `name` - Le nom de la méthode.

#### getArguments

    public java.util.List<Argument> getArguments()

Récupère tous les arguments de la méthode.

Returns:
  Les arguments de la méthode.

#### addArgument

    public void addArgument(Argument a)

Ajoute un argument à la méthode.

Parameters:
  `a` - L'argument à ajouter.

#### removeArgument

    public void removeArgument(int index)

Retire un argument de la méthode.

Parameters:
  `index` - L'index de l'argument à retirer.

#### clearArguments

    public void clearArguments()

Retire tous les arguments de la méthode.

#### upArgument

    public boolean upArgument(int index)

Faire remonter l'argument sélectionné dans la liste.

Parameters:
  `index` - L'index de l'argument concerné.
Returns:
  true if succeed, false if failed

#### downArgument

    public boolean downArgument(int index)

Faire descendre l'argument sélectionné dans la liste.

Parameters:
  `index` - L'index de l'argument concerné.
Returns:
  true if succeed, false if failed

#### isConstructor

    public boolean isConstructor()

Retourne si la méthode est un constructeur de la classe.

Returns:
  true : la méthode est un constructeur, false: la méthode n'est pas un constructeur.

#### setConstructor

    public void setConstructor(boolean c)

Paramètre la caractéristique de constructeur de la méthode.

Parameters:
  `c` - true : la méthode est un constructeur, false: la méthode n'est pas un constructeur.

#### isStatic

    public boolean isStatic()

Retourne si la méthode est statique ou non.

Returns:
  true : la méthode est statique, false: la méthode n'est pas statique.

#### setStatic

    public void setStatic(boolean s)

Paramètre la caractéristique statique de la méthode.

Parameters:
  `s` - true : la méthode est statique, false : la méthode n'est pas statique

#### isFinal

    public boolean isFinal()

Retourne si la méthode est final ou non.

Returns:
  true : la méthode est final, false: la méthode n'est pas final.

#### setFinal

    public void setFinal(boolean f)

Paramètre la caractéristique final de la méthode.

Parameters:
  `f` - true : la méthode est final, false : la méthode n'est pas final

#### isAbstract

    public boolean isAbstract()

Retourne si la méthode est abstrait ou non.

Returns:
  true : la méthode est abstrait, false: la méthode n'est pas abstrait.

#### setAbstract

    public void setAbstract(boolean a)

Paramètre la caractéristique abstraite de la méthode.

Parameters:
  `a` - true : la méthode est abstrait, false : la méthode n'est pas abstrait.

#### isSynchronized

    public boolean isSynchronized()

Retourne si la méthode est synchronisé ou non.

Returns:
  true : v est synchronisé, false: la méthode n'est pas synchronisé.

#### setSynchronized

    public void setSynchronized(boolean s)

Paramètre la caractéristique synchronisée de la méthode.

Parameters:
  `s` - true : la méthode est synchronisé, false : la méthode n'est pas synchronisé.

#### isVolatile

    public boolean isVolatile()

Retourne si la méthode est volatile ou non.

Returns:
  true : la méthode est volatile, false: la méthode n'est pas volatile.

#### setVolatile

    public void setVolatile(boolean v)

Paramètre la caractéristique volatile de la méthode.

Parameters:
  `v` - true : la méthode est volatile, false : la méthode n'est pas volatile

#### isTransient

    public boolean isTransient()

Retourne si la méthode est transitoire ou non.

Returns:
  true : la méthode est transitoire, false: la méthode n'est pas transitoire.

#### setTransient

    public void setTransient(boolean t)

Paramètre la caractéristique transitoire de la méthode.

Parameters:
  `t` - true : la méthode est transitoire, false : la méthode n'est pas transitoire